#ifndef LCRZOEX_LCRZOEX_INCLUDED
#define LCRZOEX_LCRZOEX_INCLUDED 1

/*-------------------------------------------------------------*/
typedef struct
{ lcrzo_conststring refname;
  lcrzo_uint32      refvalue;
  lcrzo_uint8       majorversion;
  lcrzo_uint8       minorversion;
  lcrzo_conststring title_en;
  lcrzo_conststring title_fr;
  lcrzo_conststring description_en;
  lcrzo_conststring description_fr;
  lcrzo_conststring usage_en;
  lcrzo_conststring usage_fr;
  lcrzo_conststring usageex_en;
  lcrzo_conststring usageex_fr;
  lcrzo_conststring author;
} shared_lcrzoex_infos;

/*en print title of an tool */
/*fr affiche le titre d'un outil */
int shared_lcrzoex_title_print(shared_lcrzoex_infos infos);

/*en print information about an tool */
/*fr affiche les informations sur un outil */
int shared_lcrzoex_infos_print(shared_lcrzoex_infos infos,
			       lcrzo_conststring progname);
/*en redirect an old tool */
/*fr redirige un ancien exemple, vers un nouvel outil*/
int shared_lcrzoex_redirect_print(shared_lcrzoex_infos old,
				  shared_lcrzoex_infos newi);

/*-------------------------------------------------------------*/
int shared_lcrzoex_unknowntool_print(lcrzo_uint32 toolnumber);

/*-------------------------------------------------------------*/
/* this is defined in lcrzoex.c but also used in tool 351 */
int lcrzoex_displayusage(lcrzo_conststring progname,
			 lcrzo_uint32 toolnumber);

/*-------------------------------------------------------------*/
typedef struct {
  lcrzo_list list;
  lcrzo_int16 language;
  lcrzo_int16 level;
  lcrzo_int8 c;
} shared_lcrzoex_helpmode_cat;
int shared_lcrzoex_helpmode_cat_init(shared_lcrzoex_helpmode_cat *pcat,
				     lcrzo_int16 language,
				     lcrzo_int16 level);
int shared_lcrzoex_helpmode_cat_add(shared_lcrzoex_helpmode_cat *pcat,
				    shared_lcrzoex_infos infos);
int shared_lcrzoex_helpmode_cat_close(shared_lcrzoex_helpmode_cat *pcat,
				      lcrzo_string levels, 
				      lcrzo_uint32 *ptoolnumber);

/*-------------------------------------------------------------*/
typedef struct {
  lcrzo_int16 language;
  lcrzo_int16 level;
  lcrzo_int8 c;
} shared_lcrzoex_helpmode_catheader;
int shared_lcrzoex_helpmode_catheader_init(shared_lcrzoex_helpmode_catheader *pcatheader,
					   lcrzo_int16 language,
					   lcrzo_int16 level);
int shared_lcrzoex_helpmode_catheader_add(shared_lcrzoex_helpmode_catheader *pcatheader,
					   lcrzo_conststring frstr,
					   lcrzo_conststring enstr);
int shared_lcrzoex_helpmode_catheader_close(shared_lcrzoex_helpmode_catheader *pcatheader,
					    lcrzo_string levels);

/*-------------------------------------------------------------*/
int shared_lcrzoex_helpmode_mainmenu(lcrzo_int16 language,
				     lcrzo_string levels);

#endif

